# Balance

***

## Get wallet balance

> Get wallet balance for current user

```json
{"openapi":"3.1.1","info":{"title":"ByteNite wallet API","version":"0.1"},"tags":[{"name":"Wallet"}],"servers":[{"url":"https://api.bytenite.com/v1/wallet"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"Your ByteNite access token","name":"Authorization","in":"header"}},"schemas":{"walletGetBalanceResponse":{"type":"object","properties":{"accountId":{"type":"string","description":"A unique identifier associated with your ByteNite wallet account, separate from your userId."},"totalBalance":{"type":"number","format":"double","description":"This represents the total amount of credits or funds available in your ByteNite wallet. This is the overall balance, including any funds that might be reserved or locked."},"availableBalance":{"type":"number","format":"double","description":"This is the portion of your total balance that is readily available for use. It excludes any funds that might be held for pending transactions or subscriptions."},"amountDue":{"type":"number","format":"double","description":"This represents the dollar value equivalent to the pending ByteChips due at the end of the billing period."}}},"rpcStatus":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/protobufAny"}}}},"protobufAny":{"type":"object","properties":{"@type":{"type":"string"}},"additionalProperties":{}}}},"paths":{"/balance":{"get":{"summary":"Get wallet balance","description":"Get wallet balance for current user","operationId":"Wallet_GetBalance","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/walletGetBalanceResponse"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/walletGetBalanceResponse"}}}},"400":{"description":"Returned when the users sends a malformed request.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"401":{"description":"Returned when the user is not authenticated.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"403":{"description":"Returned when the user does not have permission to access the resource.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"404":{"description":"Returned when the resource does not exist.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"500":{"description":"Returned when an error on the server occurred.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"503":{"description":"Returned when the resource is temporarily unavailable.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}}}},"tags":["Wallet"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bytenite.com/api-reference/wallet-api/balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
